﻿using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MathGame
{
    class AnimSlide
    {
        private Texture2D _sprite;
        public Texture2D Sprite
        {
            get { return _sprite; }
            set { _sprite = value; }
        }

        private int _time;
        public int Time
        {
            get { return _time; }
            set { _time = value; }
        }

        public AnimSlide()
        {
            _sprite = null;
            _time = 0;
        }

        public AnimSlide(Texture2D sprite, int time)
        {
            this._sprite = sprite;
            this._time = time;
        }
    }
}
