﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace MathGame
{
    class Button
    {
        Texture2D sprite, spriteSel, now;

        public Texture2D Sprite
        {
            get { return now; }
            set { now = value; }
        }
        Vector2 poz;

        public Vector2 Poz
        {
            get { return poz; }
            set { poz = value; }
        }

        public Button(Vector2 poz, Texture2D sprite, Texture2D spriteSel)
        {
            this.poz = poz;
            this.sprite = sprite;
            this.spriteSel = spriteSel;
            this.now = sprite;
            this.poz.X -= now.Width / 2;
        }

        public bool MouseOver(Vector2 mys)
        {
            if (mys.X >= poz.X && mys.X <= poz.X + now.Width &&
                mys.Y >= poz.Y && mys.Y <= poz.Y + now.Height)
            {
                now = spriteSel;
                poz.X = Method.WindowWidth / 2 - now.Width / 2;
                return true;
            }
            else
            {
                now = sprite;
                poz.X = Method.WindowWidth / 2 - now.Width / 2;
                return false;
            }
        }

        public void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(now, poz, Color.White);
        }
    }
}
